Debian Bug report logs - #530128
live-initramfs: bashism in /bin/sh script

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Raphael Geissert <atomo64@gmail.com>

Date: Sat, 23 May 2009 06:06:25 UTC

Severity: important

Found in version live-initramfs/1.157.2-1

Fixed in version live-initramfs/1.157.3-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Live <debian-live@lists.debian.org>:
Bug#530128; Package live-initramfs. (Sat, 23 May 2009 06:06:28 GMT) Full text and rfc822 format available.

Message #3 received at maintonly@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: maintonly@bugs.debian.org
Subject: live-initramfs: bashism in /bin/sh script
Date: Sat, 23 May 2009 00:57:46 -0500
Package: live-initramfs
Severity: important
Version: 1.157.2-1
User: debian-release@lists.debian.org
Usertags: goal-dash

Hello maintainer,

While performing an archive wide checkbashisms (from the 'devscripts' package)
check I've found your package containing a /bin/sh script making use
of a bashism.

checkbashisms' output:
> possible bashism in ./etc/init.d/live-initramfs line 164 (echo -e):
>		  echo -n -e "\n\n${MESSAGE} and press ENTER to continue:" >
> /dev/console


Not using bash (or a Debian Policy conformant shell interpreter which doesn't
provide such an extra feature) as /bin/sh is likely to lead to errors or
unexpected behaviours.
Please be aware that although bash is currently the default /bin/sh there was
a release goal for Lenny to make dash the default /bin/sh[1], and has been
proposed for squeeze as well[2].

If you want more information about dash as /bin/sh, you can read:
http://lists.debian.org/debian-release/2008/01/msg00189.html

For more information supporting this goal please refer to Debian Policy,
section 10.4, at:
http://www.debian.org/doc/debian-policy/ch-files.html#s-scripts

Hints about how to fix bashisms:
Sometimes these bugs are already fixed in Ubuntu, look at the PTS.
If not already fixed you can read:
https://wiki.ubuntu.com/DashAsBinSh

If you still don't know how to fix the bashisms don't hesitate to reply to
this email, or tag the bug as 'help'.

[1]http://release.debian.org/lenny/goals.txt
[2]http://lists.debian.org/debian-release/2009/04/msg00133.html

Thank you,
Raphael Geissert




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#530128; Package live-initramfs. (Mon, 08 Jun 2009 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Mon, 08 Jun 2009 05:57:03 GMT) Full text and rfc822 format available.

Message #8 received at 530128@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 530128@bugs.debian.org
Subject: Re: Bug#530128: live-initramfs: bashism in /bin/sh script
Date: Mon, 08 Jun 2009 07:55:26 +0200
tags 530128 +pending
thanks

fixed in git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Tags added: pending Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 08 Jun 2009 05:57:04 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 04 Sep 2009 22:15:11 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <atomo64@gmail.com>:
Bug acknowledged by developer. (Fri, 04 Sep 2009 22:15:11 GMT) Full text and rfc822 format available.

Message #15 received at 530128-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 530128-close@bugs.debian.org
Subject: Bug#530128: fixed in live-initramfs 1.157.3-1
Date: Fri, 04 Sep 2009 21:56:41 +0000
Source: live-initramfs
Source-Version: 1.157.3-1

We believe that the bug you reported is fixed in the latest version of
live-initramfs, which is due to be installed in the Debian FTP archive:

live-initramfs_1.157.3-1.diff.gz
  to pool/main/l/live-initramfs/live-initramfs_1.157.3-1.diff.gz
live-initramfs_1.157.3-1.dsc
  to pool/main/l/live-initramfs/live-initramfs_1.157.3-1.dsc
live-initramfs_1.157.3-1_all.deb
  to pool/main/l/live-initramfs/live-initramfs_1.157.3-1_all.deb
live-initramfs_1.157.3.orig.tar.gz
  to pool/main/l/live-initramfs/live-initramfs_1.157.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 530128@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-initramfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 04 Sep 2009 13:37:57 +0200
Source: live-initramfs
Binary: live-initramfs
Architecture: source all
Version: 1.157.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-initramfs - Debian Live initramfs hook
Closes: 522383 523120 530128 532471 533046
Changes: 
 live-initramfs (1.157.3-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Initial commit for having support for swapfiles.
   * Initial commit for having support for persistency on luks.
 .
   [ Marco Amadori ]
   * Partition snapshots works again.
   * Added "whole partition" snapshot resync type.
   * Two return code consistency fix.
   * Improved an useful debug string.
   * Cleaned a bit the snapshot feature.
 .
   [ Steven Shiau ]
   * Making fetch to work with file on sub dir on tftp server.
 .
   [ Daniel Baumann ]
   * Avoiding echo bashism in live-initramfs.init by using printf instead
     (Closes: #530128).
   * Correcting wrong path when disabling anacron in 25configure_init,
     thanks to Rui Bernardo <rui.bernardo.pt@gmail.com> (Closes:
     #533046).
   * Removing disabling of postfix in 25configure_init, it's not
     appropriate for debian to do this by default. Thanks to Rui Bernardo
     <rui.bernardo.pt@gmail.com>.
   * Correcting typo in description of the ip boot parameter in live-
     initramfs manpage, thanks to Philippe Leledy <debian@leledy.fr>
     (Closes: #532471).
 .
   [ Marco Amadori ]
   * Removed two bashisms on live-snapshot.
 .
   [ Daniel Baumann ]
   * Correcting wrong abort logic in 21xdriver, thanks to Luigi Capriotti
     <l.capriotti@xbmc.org>.
 .
   [ Luigi Capriotti ]
   * Fixing possible invalid results from function where_is_mounted by
     returning more than one line inwhere_is_mounted();.
   * Fixing relaxed permissions of / in the live filesystem.
   * Fixing invalid mangling of /etc/event.d/tty.
   * Fixing typo in snapshot file list.
 .
   [ Daniel Baumann ]
   * Correcting cryptsetup calls for persistency on luks.
   * Copy live-installer-launcher desktop icon on users desktop.
   * Also updating USB device detection in initramfs script for linux
     2.6.29 and newer.
   * Adding missing pipe in cryptsetup call for persistency on luks
     partitions.
   * Making plainroot work (Closes: #523120).
 .
   [ Marco Amadori ]
   * persistent=nofiles fix (Closes: 522383).
 .
   [ Daniel Baumann ]
   * Looking for persistency partitions on luks devices only if we boot
     with persistent=cryptsetup.
   * Fail early in gnome-panel-data bottom script if gnome-panel-data is
     not installed.
   * Optimizing gnome-panel-data bottom script by leaving out the stupid
     things.
 .
   [ Richard Nelson ]
   * Allow for multiple but unique persistent media.
Checksums-Sha1: 
 187405481b0b51ed80b5554b88f48114184a30a8 1301 live-initramfs_1.157.3-1.dsc
 5c2320680dcfeef2d73299c9c3740c993bda9ae4 83662 live-initramfs_1.157.3.orig.tar.gz
 565ed03cc0d9b4f2473bc102becacde96b03818d 12545 live-initramfs_1.157.3-1.diff.gz
 aa2dba4918f17f7634437fd076b2ddb0780f1ae3 93656 live-initramfs_1.157.3-1_all.deb
Checksums-Sha256: 
 c5669d2f3d855689c0e1d694a2269804eaae7ca4333b31fb006ce5229efaf3d9 1301 live-initramfs_1.157.3-1.dsc
 d5d8bf60e8aabcce45763ff5f252500ccdafee2f44dc227a3caff7d5cbc69808 83662 live-initramfs_1.157.3.orig.tar.gz
 589f0bdb797ae2455bedcc4deb28ba29a172913af96032cfaa9025d129564055 12545 live-initramfs_1.157.3-1.diff.gz
 25b029a0ecf18c8c1dec03d820f9c3eee830b5a12a9c3b73773223feb6d7b19b 93656 live-initramfs_1.157.3-1_all.deb
Files: 
 8483673f35f1178ef2b945d0b4702d24 1301 misc optional live-initramfs_1.157.3-1.dsc
 3441e2ddf3d65e322e60a6e42df0fb76 83662 misc optional live-initramfs_1.157.3.orig.tar.gz
 e0fed27c4224acecea38cda781415e31 12545 misc optional live-initramfs_1.157.3-1.diff.gz
 3cb047dba385d05ef3c45026d6356bda 93656 misc optional live-initramfs_1.157.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqhWikACgkQ+C5cwEsrK55RYgCePDTzjgt87bzotOoRRhozIUik
TBcAnRJ6m8/ZddFjMlI5evkEkOBYNHdr
=zHOR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Oct 2009 07:33:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:07:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.